Hello,
I am trying to hide some of the modules that show up when you go Tools-->Macro-->Macros.
In excel it is easily done by using 'Option Private Module' statement on the top of the module.
However, this doesn't work in CATIA for some reason, and the modules are still visible.
Does anyone...
Greetings,
I have a product with several products and parts underneath. I have renamed all the partnumbers and instance names. I would now like to rename the filename for each part/product to the newly assigned partnumber. Is it possible to write a vba script for this? If so, could someone...
To give you a better idea of what I was trying to do, here is my full original code before @drewmumaw provided me with his code:
Sub CATMain()
Set CATIA = GetObject(, "CATIA.application")
'Msg.Show
GetNextNode CATIA.ActiveDocument.Product
'Unload Msg
End Sub
Sub GetNextNode(oCurrentProd As...
@itsmyjob
Dim oProdDoc As ProductDocument
Set oProdDoc = CATIA.ActiveDocument
Dim oProd As Product
Set oProd = oProdDoc.Product
Dim oProds As Products
Set oProds = oProd.Products
oprods.item(1) is the first product in the CATIA tree. oprods.item(1).products.item(1) is the first part within...
@drewmumaw
Thanks for this. It works but I don't understand why my method doesn't. Would you be kind enough to shed light on this? I am genuinely curious.
Let's say i don't want loops, and i only want to change a specific instance name of a specific part within a product. Why doesn't the below...
Hello, I am new catia vba user and I have tried to find a solution to my problem on this forum and elsewhere but to no avail. I am sure it's a simple problem but it has me stumped.
I have written a code using VBA to rename the instance names and part numbers in a catia product. It does this...